Oore CI

Connect App Store Connect

Sets the stored App Store Connect key and bundle ID the app's pipelines upload with. Requires the manage pipelines project permission.

Operation IDupdate_project_app_store_connection
PUT
/v1/projects/{project_id}/stores/app-store

Sets the stored App Store Connect key and bundle ID the app's pipelines upload with. Requires the manage pipelines project permission.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

project_id*string

App ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

PUT /v1/projects/{project_id}/stores/app-store

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/projects/string/stores/app-store" \  -H "Content-Type: application/json" \  -d '{    "app_store_connect_key_id": "string"  }'
{  "app_store": null,  "google_play": null,  "overrides": [    {      "detail": "string",      "pipeline_id": "string",      "pipeline_name": "string",      "store": "google_play"    }  ],  "project_id": "string"}